Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PortletView

All Superinterfaces:
  MarkupBasedView, PlaceableView, Serializable, ThemedMarkupBasedView, View

public interface PortletView
extends PlaceableView, ThemedMarkupBasedView

Field Summary
`static String` | `CATEGORY_ID_DELIM`
`static short` | `ORIENTATION_BOTTOM`
`static short` | `ORIENTATION_LEFT`
`static short` | `ORIENTATION_RIGHT`
`static short` | `ORIENTATION_TOP`

Method Summary
`String` | `getBackingFile()`
`int` | `getCacheExpires()`
`int[]` | `getCategoryIds()` Returns an array of category ids that this portlet is a part of
`String` | `getContentUri()`
`String` | `getEditUri()`
`String[]` | `getEnabledClientClassifications()` Returns a list of classifications for which the Portlet is enabled, meaning the Portal framework will display it if the current request's client classification is found in this list.
`String` | `getHelpUri()`
`String` | `getInstanceLabel()`
`PlacementId` | `getPlacementId()`
`PortletDefinition` | `getPortletDefinition()`
`PortletDefinitionId` | `getPortletDefinitionId()`
`String` | `getPortletFile()`
`PortletInstance` | `getPortletInstance()`
`PortletInstanceId` | `getPortletInstanceId()`
`Map` | `getPreferences()` Returns preferences, if any.
`short` | `getTitlebarOrientation()` Returns the titlebars's orientation.
`String` | `getWebAppName()`
`boolean` | `isDefaultMinimized()`
`boolean` | `isDeleted()`
`boolean` | `isForkable()`
`boolean` | `isForkRender()`
`boolean` | `isRenderCacheable()`

Methods inherited from interface com.bea.netuix.application.view.PlaceableView
`getDefinitionLabel, getLocalizationResourceView, getPlaceableInstance, getPlaceholderPosition`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Methods inherited from interface com.bea.netuix.application.view.ThemedMarkupBasedView
`getThemeView`

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Field Detail

### ORIENTATION_TOP

    public static final short ORIENTATION_TOP

See Also:
  Constant Field Values

### ORIENTATION_LEFT

    public static final short ORIENTATION_LEFT

See Also:
  Constant Field Values

### ORIENTATION_RIGHT

    public static final short ORIENTATION_RIGHT

See Also:
  Constant Field Values

### ORIENTATION_BOTTOM

    public static final short ORIENTATION_BOTTOM

See Also:
  Constant Field Values

### CATEGORY_ID_DELIM

    public static final String CATEGORY_ID_DELIM

See Also:
  Constant Field Values

Method Detail

### getPortletInstanceId

    public PortletInstanceId getPortletInstanceId()

### getPortletDefinitionId

    public PortletDefinitionId getPortletDefinitionId()

### getPlacementId

    public PlacementId getPlacementId()

### getPortletInstance

    public PortletInstance getPortletInstance()

### getPortletDefinition

    public PortletDefinition getPortletDefinition()

### isDefaultMinimized

    public boolean isDefaultMinimized()

### getTitlebarOrientation

    public short getTitlebarOrientation()

  Returns the titlebars's orientation. The orientation is a hint to the portlet and titlebar skeleton to render the titlebar at the top, left, right or bottom of the portlet. Since this is only a hint to the portlet/titlebar skeleton, if the skeleton does not support it, it will have no effect.

  Returns:
    `ORIENTATION_TOP, ORIENTATION_LEFT, ORIENTATION_RIGHTT, ORIENTATION_BOTTOM`

### getContentUri

    public String getContentUri()

### getBackingFile

    public String getBackingFile()

### isForkable

    public boolean isForkable()

### isRenderCacheable

    public boolean isRenderCacheable()

### getCacheExpires

    public int getCacheExpires()

### isForkRender

    public boolean isForkRender()

### getPortletFile

    public String getPortletFile()

### isDeleted

    public boolean isDeleted()

### getHelpUri

    public String getHelpUri()

### getEditUri

    public String getEditUri()

### getInstanceLabel

    public String getInstanceLabel()

### getWebAppName

    public String getWebAppName()

### getEnabledClientClassifications

    public String[] getEnabledClientClassifications()

  Returns a list of classifications for which the Portlet is enabled, meaning the Portal framework will display it if the current request's client classification is found in this list. The `String` returned for each classification corresponds to the "description" attribute in client-classifications.xml.

  Returns:
    the description `String` for each enabled classification.

### getPreferences

    public Map getPreferences()

  Returns preferences, if any.

  Note that an empty return map does not indicate that this portlet does not have preferences.

  Currently, this method returns preferences only when this `PortletView` is returned via the `PortletTokenizer`. At request time, applications should directly use the `PreferencePersistenceManager` to retrieve portlet preferences.

  Returns:
    preferences
  See Also:
    `PreferencePersistenceManager`

### getCategoryIds

    public int[] getCategoryIds()

  Returns an array of category ids that this portlet is a part of

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved